- Home
- API Enriched
- Tenant And Identity
- web
- GET view preference.
GET view preference.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings/view_preference';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/user/settings/view_preference \ --header 'Authorization: <Authorization>'GET view preference gets view preference for specific user.
Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”A successful response.
Preferences to display appropriate content to appropriate audience.
object
If true then more OPTIONS are displayed, otherwise a simplified view is displayed.
If true then the user picked their preference.
object
Audience is a billing admin.
Audience is DevOps.
Audience is a developer.
Audience is an admin.
Audience is NetOps.
Audience is SecOps.
If true then all advanced configuration fields are automatically expanded when creating a new object.
Examplegenerated
{ "advanced_view": true, "initialized": true, "persona_preferences": { "billing": true, "dev_ops": true, "developer": true, "master": true, "net_ops": true, "sec_ops": true }, "wizard_advanced_auto_expand": true}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example